package com.prolog.cs.biz.inbound.model.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description
 * @Date 2021-12-24
 */

@ApiModel
@Table(value = "wms_in_rqc_st_rule", appendDefaultJdbcType = true, camelToUnderline = true)
public class WmsInRqcStRule implements Serializable {
	private static final long serialVersionUID = 7929909698033040925L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "质检规则主键id")
	private String ruleId;

	@ApiModelProperty(value = "质检规则名称")
	private String ruleName;

	@ApiModelProperty(value = "质检策略id")
	private String rqcStId;

	@ApiModelProperty(value = "查询条件表达式")
	private String searchRegexp;

	@ApiModelProperty(value = "匹配表达式")
	private String matchRegexp;

	@ApiModelProperty(value = "规则排序")
	private Integer sortIndex;

	@ApiModelProperty(value = "规则说明")
	private String regexpDes;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "状态(0否1是)")
	private String status;

	private String enterpriseId;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date gmtCreate;

	private String creator;

	private String creatorName;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date gmtModified;

	private String modifier;

	private String modifierName;

	@ApiModelProperty(value = "备用字段1")
	private String attribute1;

	@ApiModelProperty(value = "备用字段2")
	private String attribute2;

	@ApiModelProperty(value = "备用字段3")
	private String attribute3;

	public String getRuleName() {
		return ruleName;
	}

	public void setRuleName(String ruleName) {
		this.ruleName = ruleName;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Date getGmtModified() {
		return gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getModifierName() {
		return modifierName;
	}

	public void setModifierName(String modifierName) {
		this.modifierName = modifierName;
	}

	public String getRuleId() {
		return this.ruleId;
	}

	public void setRuleId(String ruleId) {
		this.ruleId = ruleId;
	}

	public String getRqcStId() {
		return this.rqcStId;
	}

	public void setRqcStId(String rqcStId) {
		this.rqcStId = rqcStId;
	}

	public String getSearchRegexp() {
		return this.searchRegexp;
	}

	public void setSearchRegexp(String searchRegexp) {
		this.searchRegexp = searchRegexp;
	}

	public String getMatchRegexp() {
		return this.matchRegexp;
	}

	public void setMatchRegexp(String matchRegexp) {
		this.matchRegexp = matchRegexp;
	}

	public Integer getSortIndex() {
		return this.sortIndex;
	}

	public void setSortIndex(Integer sortIndex) {
		this.sortIndex = sortIndex;
	}

	public String getRegexpDes() {
		return this.regexpDes;
	}

	public void setRegexpDes(String regexpDes) {
		this.regexpDes = regexpDes;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAttribute1() {
		return this.attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return this.attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return this.attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

}
